org.apache.http.impl.auth

## Class NegotiateScheme

- java.lang.Object
- - org.apache.http.impl.auth.AuthSchemeBase
  - - org.apache.http.impl.auth.GGSSchemeBase
    - - org.apache.http.impl.auth.NegotiateScheme

- All Implemented Interfaces:
    AuthScheme ， ContextAwareAuthScheme

  已过时。
  （4.2）使用`SPNegoScheme`或`KerberosScheme` 。

      @Deprecated
      public class NegotiateScheme
      extends GGSSchemeBase

  SPNEGO（简单和受保护的GSSAPI协商机制）认证方案。
  从以下版本开始：
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `challengeState`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `NegotiateScheme()` 已过时。
    `NegotiateScheme(SpnegoTokenGenerator spengoGenerator)` 已过时。
    `NegotiateScheme(SpnegoTokenGenerator spengoGenerator, boolean stripPort)` 已过时。 Negotiate认证方案的默认构造函数。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `authenticate(Credentials credentials, HttpRequest request)` 已过时。 为给定的一组`Credentials`生成一个授权字符串。
    `Header` | `authenticate(Credentials credentials, HttpRequest request, HttpContext context)` 已过时。 根据processChallenge创建的令牌生成协商授权头。
    `protected byte[]` | `generateToken(byte[] input, String authServer)` 已过时。
    `protected byte[]` | `generateToken(byte[] input, String authServer, Credentials credentials)` 已过时。
    `String` | `getParameter(String name)` 已过时。 返回具有给定名称的认证参数（如果可用）。
    `String` | `getRealm()` 已过时。 认证领域的概念不被协商认证方案支持。
    `String` | `getSchemeName()` 已过时。 返回协商认证方案的文本指定。
    `boolean` | `isConnectionBased()` 已过时。 退货 `true` 。

    - ### Methods inherited from class org.apache.http.impl.auth.GGSSchemeBase

      `generateGSSToken, generateGSSToken, getManager, isComplete, parseChallenge`

    - ### Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase

      `getChallengeState, isProxy, processChallenge, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### NegotiateScheme

          public NegotiateScheme(SpnegoTokenGenerator spengoGenerator,
                         boolean stripPort)

      已过时。
      Negotiate认证方案的默认构造函数。

    - #### NegotiateScheme

          public NegotiateScheme(SpnegoTokenGenerator spengoGenerator)

      已过时。

    - #### NegotiateScheme

          public NegotiateScheme()

      已过时。

  - ### 方法详细信息

    - #### getSchemeName

          public String getSchemeName()

      已过时。
      返回协商认证方案的文本指定。
      结果
        `Negotiate`

    - #### authenticate

          public Header authenticate(Credentials credentials,
                            HttpRequest request)
                              throws AuthenticationException

      已过时。
      说明从界面： `AuthScheme`复制
      为给定的一组`Credentials`生成授权字符串。
      Specified by:
        `authenticate`在接口 `AuthScheme`
      重写：
        `authenticate`在 `GGSSchemeBase`
      参数
        `credentials` - 要用于验证的一组凭据
        `request` - 请求被认证
      结果
        授权字符串
      异常
        `AuthenticationException` - 如果授权字符串由于身份验证失败而无法生成

    - #### authenticate

          public Header authenticate(Credentials credentials,
                            HttpRequest request,
                            HttpContext context)
                              throws AuthenticationException

      已过时。
      根据processChallenge创建的令牌生成协商授权头。
      Specified by:
        `authenticate`在接口 `ContextAwareAuthScheme`
      重写：
        `authenticate`在 `GGSSchemeBase`类
      参数
        `credentials` - 从未使用过协商方案，但必须提供以满足common-httpclient API。 将使用来自JAAS的凭证。
        `request` - 请求进行身份验证
        `context` - HTTP上下文
      结果
        协商授权标题
      异常
        `AuthenticationException` - 如果授权字符串由于身份验证失败而无法生成

    - #### generateToken

          protected byte[] generateToken(byte[] input,
                             String authServer)
                                  throws GSSException

      已过时。
      重写：
        `generateToken`类 `GGSSchemeBase`
      异常
        `GSSException`

    - #### generateToken

          protected byte[] generateToken(byte[] input,
                             String authServer,
                             Credentials credentials)
                                  throws GSSException

      已过时。
      重写：
        `generateToken`在 `GGSSchemeBase`
      异常
        `GSSException`

    - #### getParameter

          public String getParameter(String name)

      已过时。
      返回具有给定名称的认证参数（如果可用）。

      Negotiate认证没有有效的参数，所以这个方法总是返回`null` 。

      参数
        `name` - 要返回的参数的名称
      结果
        具有给定名称的参数

    - #### getRealm

          public String getRealm()

      已过时。
      认证领域的概念不被协商认证方案支持。 始终返回`null` 。
      结果
        `null`

    - #### isConnectionBased

          public boolean isConnectionBased()

      已过时。
      退货`true` 。 协商认证方案是基于连接的。
      结果
        `true` 。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585